<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSNMPCommunityString StructType
 * @subpackage Structs
 */
class RSNMPCommunityString extends AbstractStructBase
{
    /**
     * The communityName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $communityName;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $version;
    /**
     * The accessPrivilege
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $accessPrivilege;
    /**
     * The ArrayOfHosts
     * @var \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts
     */
    public $ArrayOfHosts;
    /**
     * Constructor method for RSNMPCommunityString
     * @uses RSNMPCommunityString::setCommunityName()
     * @uses RSNMPCommunityString::setVersion()
     * @uses RSNMPCommunityString::setAccessPrivilege()
     * @uses RSNMPCommunityString::setArrayOfHosts()
     * @param string $communityName
     * @param string $version
     * @param string $accessPrivilege
     * @param \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts $arrayOfHosts
     */
    public function __construct($communityName = null, $version = null, $accessPrivilege = null, \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts $arrayOfHosts = null)
    {
        $this
            ->setCommunityName($communityName)
            ->setVersion($version)
            ->setAccessPrivilege($accessPrivilege)
            ->setArrayOfHosts($arrayOfHosts);
    }
    /**
     * Get communityName value
     * @return string|null
     */
    public function getCommunityName()
    {
        return $this->communityName;
    }
    /**
     * Set communityName value
     * @param string $communityName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSNMPCommunityString
     */
    public function setCommunityName($communityName = null)
    {
        $this->communityName = $communityName;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSNMPCommunityString
     */
    public function setVersion($version = null)
    {
        $this->version = $version;
        return $this;
    }
    /**
     * Get accessPrivilege value
     * @return string|null
     */
    public function getAccessPrivilege()
    {
        return $this->accessPrivilege;
    }
    /**
     * Set accessPrivilege value
     * @param string $accessPrivilege
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSNMPCommunityString
     */
    public function setAccessPrivilege($accessPrivilege = null)
    {
        $this->accessPrivilege = $accessPrivilege;
        return $this;
    }
    /**
     * Get ArrayOfHosts value
     * @return \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts|null
     */
    public function getArrayOfHosts()
    {
        return $this->ArrayOfHosts;
    }
    /**
     * Set ArrayOfHosts value
     * @param \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts $arrayOfHosts
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSNMPCommunityString
     */
    public function setArrayOfHosts(\\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfHosts $arrayOfHosts = null)
    {
        $this->ArrayOfHosts = $arrayOfHosts;
        return $this;
    }
}
